package com.zt.plat.module.qms.iot.tcpserver.core;

/**
 * <b>ClientType</b>
 * 客户端类型
 * <p>更新历史：</p>
 * <pre> 版本         更新时间            更新者        更新内容
 * V1.0      2021-6-28          王兴荣         Add</pre>
 * <b>Copyright (C)  云南志者竟成科技有限公司</b> 
 * @author 王兴荣 &lt;xingrong_wang@will-way.cn&gt;
 * @version V1.0 
 * @since 2021-6-28
 */
public enum ClientType {
    
    MEASURE_POINT("measurePoint", "计量点"),
    CONSOLE_CLIENT("consoleClient", "控制中心客户端"),
    CAA_CLIENT("caaClient", "化学分析天平客户端");


    /** 名称 **/
    private String name;
    
    /** 描述 **/
    private String desc;
    
    private ClientType(String name, String desc) {
        this.name = name;
        this.desc = desc;
    }

    public String getName() {
        return name;
    }

    public String getDesc() {
        return desc;
    }
    
    /**
     * 根据名称获取类型枚举
     * @param name 名称
     * @return
     */
    public static ClientType getByName(String name) {
        ClientType[] values = ClientType.values();
        for (ClientType clientType : values) {
            if (clientType.getName().equalsIgnoreCase(name)) {
                return clientType;
            }
        }
        return null;
    }
}
